unit main;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  ActnList, Menus, users_basic, DBTables, StdCtrls, Db, ExtCtrls,
  IBDatabase, users_ibx;

type
  TForm1 = class(TForm)
    UsersIBX1: TUsersIBX;
    dbUsers: TIBDatabase;
    Memo1: TMemo;
    Button1: TButton;
    Panel1: TPanel;
    IBTransaction1: TIBTransaction;
    procedure Button1Click(Sender: TObject);
    procedure UsersIBX1BeforeLogin;
    procedure UsersIBX1WhileDoLogin;
    procedure UsersIBX1AfterLogin;
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

uses splash;

{$R *.DFM}

procedure TForm1.Button1Click(Sender: TObject);
begin
  if not UsersIBX1.Login then
    Application.Terminate;
end;

procedure TForm1.UsersIBX1BeforeLogin;
begin
  frmSplash:=TfrmSplash.Create(NIL);
end;

procedure TForm1.UsersIBX1WhileDoLogin;
var
  i: Integer;
begin
  frmSplash.Show;
  frmSplash.Update;
end;

procedure TForm1.UsersIBX1AfterLogin;
begin
  if UsersIBX1.LastLoginOk then
    Panel1.Caption:='User: '+UsersIBX1.ActualUser.UserName;
  frmSplash.Release;
end;

end.
