unit main;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  ActnList, Menus, users_basic, DBTables, StdCtrls, Db,
  IBDatabase, users_ibx;

type
  TForm1 = class(TForm)
    UsersIBX1: TUsersIBX;
    UsersIBXReg1: TUsersIBXReg;
    Memo1: TMemo;
    Button1: TButton;
    IBDatabase1: TIBDatabase;
    IBTransaction1: TIBTransaction;
    procedure UsersIBX1Login(var UserName, Password: String;
      var ModalResult: TModalResult);
    procedure Button1Click(Sender: TObject);
    procedure IBDatabase1BeforeConnect(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

uses custom_login;

{$R *.DFM}

procedure TForm1.UsersIBX1Login(var UserName, Password: String;
  var ModalResult: TModalResult);
begin
  frmCustomLogin:=TfrmCustomLogin.Create(NIL);
  try
    frmCustomLogin.ShowModal;
    UserName:=frmCustomLogin.Usuario.Text;
    Password:=frmCustomLogin.Senha.Text;
    ModalResult:=frmCustomLogin.ModalResult
  finally
    frmCustomLogin.Free;
  end;    
end;

procedure TForm1.Button1Click(Sender: TObject);
begin
  if not UsersIBX1.Login then
    Application.Terminate;
end;

procedure TForm1.IBDatabase1BeforeConnect(Sender: TObject);
begin
  IBDatabase1.DatabaseName:='..\Data\users_v17.gdb';
end;

end.
