unit main;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  ActnList, Menus, users_basic, DBTables, StdCtrls, Grids,
  DBGrids, ExtCtrls, Db, users_ibx, IBDatabase;

type
  TForm1 = class(TForm)
    MainMenu1: TMainMenu;
    UsersIBX1: TUsersIBX;
    UsersIBXReg1: TUsersIBXReg;
    Users1: TMenuItem;
    UserAdministration1: TMenuItem;
    ChangeUserPassword1: TMenuItem;
    Login1: TMenuItem;
    N1: TMenuItem;
    DBGrid1: TDBGrid;
    Memo1: TMemo;
    Panel3: TPanel;
    IBTransaction1: TIBTransaction;
    IBDatabase1: TIBDatabase;
    procedure ChangeUserPasswordExecute(Sender: TObject);
    procedure UserAdministrationExecute(Sender: TObject);
    procedure LoginExecute(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure UsersIBX1ShowAdditionalInfo(var aForm: TForm;
      var aPanel: TPanel; GetActualUserId: TGetActualUserId);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

uses dtm_Sample, additional_info;

{$R *.DFM}

procedure TForm1.ChangeUserPasswordExecute(Sender: TObject);
begin
  UsersIBX1.ChangeUserPassword;
end;

procedure TForm1.UserAdministrationExecute(Sender: TObject);
begin
  UsersIBX1.UsersAdm;
end;

procedure TForm1.LoginExecute(Sender: TObject);
begin
  if not UsersIBX1.Login then
    Application.Terminate;
  Panel3.Caption:='User: ' + UsersIBX1.ActualUser.UserName+' ['+UsersIBX1.ActualUser.RealName+']';
  SampleData.Companies.Close;
  if UsersIBX1.Actualuser.AdditionalInfo<>'' then
  // modification of the Where clause to restrict the data the user can view
    SampleData.Companies.SQL[2]:='Where '+UsersIBX1.Actualuser.AdditionalInfo
  else
    SampleData.Companies.SQL[2]:=' ';
  SampleData.Companies.Open;
end;

procedure TForm1.FormCreate(Sender: TObject);
begin
  ShowMessage('User Name: master'+#10#13+'Password: master');
  UsersIBX1.Login;
  if not UsersIBX1.LastLoginOk then
    Exit;
  SampleData:=TSampleData.Create(Application);
  SampleData.Companies.Close;
  if UsersIBX1.Actualuser.AdditionalInfo<>'' then
  // modification of the Where clause to restrict the data the user can view
    SampleData.Companies.SQL[2]:='Where '+UsersIBX1.Actualuser.AdditionalInfo
  else
    SampleData.Companies.SQL[2]:=' ';
  SampleData.Companies.Open;
end;

procedure TForm1.UsersIBX1ShowAdditionalInfo(var aForm: TForm;
  var aPanel: TPanel; GetActualUserId: TGetActualUserId);
begin
  frmAdditionalInfo:=TfrmAdditionalInfo.Create(NIL);
  aForm :=frmAdditionalInfo;
  aPanel:=frmAdditionalInfo.ThePanel;
  frmAdditionalInfo.GetActualUserId:=GetActualUserId;
  frmAdditionalInfo.AppKey:=UsersIBX1.AppKey;
  // the form frmAdditionalInfo will be released by the TUsersIBX component
end;

end.
